spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Felix Cheung <felixcheun...@hotmail.com>
Subject Re: SparkR test script issue: unable to run run-tests.h on spark 2.2
Date Wed, 14 Feb 2018 09:58:58 GMT
Yes it is issue with the newer release of testthat.

To workaround could you install an earlier version with devtools? will follow up for a fix.

_____________________________
From: Hyukjin Kwon <gurwls223@gmail.com>
Sent: Wednesday, February 14, 2018 6:49 PM
Subject: Re: SparkR test script issue: unable to run run-tests.h on spark 2.2
To: chandan prakash <chandanbaranwal@gmail.com>
Cc: user @spark <user@spark.apache.org>


>From a very quick look, I think testthat version issue with SparkR.

I had to fix that version to 1.x before in AppVeyor. There are few details in https://github.com/apache/spark/pull/20003

Can you check and lower testthat version?


On 14 Feb 2018 6:09 pm, "chandan prakash" <chandanbaranwal@gmail.com<mailto:chandanbaranwal@gmail.com>>
wrote:
Hi All,
I am trying to run test script of R under ./R/run-tests.sh but hitting same ERROR everytime.
I tried running on mac as well as centos machine, same issue coming up.
I am using spark 2.2 (branch-2.2)
I followed from apache doc and followed the steps:
1. installed R
2. installed packages like testthat as mentioned in doc
3. run run-tests.h


Every time I am getting this error line:

Error in get(name, envir = asNamespace(pkg), inherits = FALSE) :
  object 'run_tests' not found
Calls: ::: -> get
Execution halted


Any Help?

--
Chandan Prakash




Mime
View raw message